const app = getApp()

import Notify from '@vant/weapp/notify/notify';

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        userDetail: {},
        menuList: [{
            type: "report",
            name: "会议预约",
            img: "/profile/static/repair/index/my.png",
            path: "/pages/meeting/meetingReservation/meetingReservation",
            visible: true
        }, {
            type: "query",
            name: "预约记录",
            img: "/profile/static/repair/index/query.png",
            path: "/pages/meeting/reservationRecord/meetingRecord/meetingRecord",
            visible: true
        }, {
            type: "assign",
            name: "会议审核",
            img: "/profile/static/repair/index/case.png",
            path: "/pages/meeting/visitorIinvitation/list/list",
            visible: false
        }, {
            type: "repair",
            name: "会务服务",
            img: "/profile/static/repair/index/repair.png",
            path: "/pages/reportRepair/repair/index/index",
            visible: false
        }]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let _this = this
        let userDetail = wx.getStorageSync('user')
        _this.setData({
            userDetail
        })
        // 展示模块
        _this.visibleBlock()
    },

    // 跳转菜单
    jumpMenu(e) {
        console.log('jumpMenu', e);
        let obj = e.currentTarget.dataset.obj
        console.log(obj.path)
        if (obj.visible) {
            wx.navigateTo({
                url: obj.path,
            })
        } else {
            app.vantNotifyErrTop(Notify, `"${obj.name}"无权限访问!`)
            return
        }
    },

    // 展示模块
    visibleBlock() {
        let _this = this
        let userDetail = _this.data.userDetail
        let dataType = userDetail.dataType
        let menuList = _this.data.menuList
        // 角色类型 1.普通用户，3派单员，5维修工，7管理员 , 9楼层
        // if (dataType == 3 || dataType == 7) { // 展示-派单入口，仅有派单员、管理员能进
        //     menuList = menuList.map(item => {
        //         if (item.type == 'assign') {
        //             item.visible = true
        //         }
        //         return item
        //     })
        // }
        // if (dataType == 5) { // 展示-维修入口
        //     menuList = menuList.map(item => {
        //         if (item.type == 'repair') {
        //             item.visible = true
        //         }
        //         return item
        //     })
        // }
        // _this.setData({
        //     menuList
        // })
    },

    back() {
        wx.navigateBack()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})